import request from '@/utils/request'

// 查询账户明细列表
export function listAccountDetail(query) {
  return request({
    url: '/cai/accountDetail/list',
    method: 'get',
    params: query
  })
}

// 查询账户明细详细
export function getAccountDetail(id) {
  return request({
    url: '/cai/accountDetail/' + id,
    method: 'get'
  })
}

// 新增账户明细
export function addAccountDetail(data) {
  return request({
    url: '/cai/accountDetail',
    method: 'post',
    data: data
  })
}

// 修改账户明细
export function updateAccountDetail(data) {
  return request({
    url: '/cai/accountDetail',
    method: 'put',
    data: data
  })
}

// 删除账户明细
export function delAccountDetail(id) {
  return request({
    url: '/cai/accountDetail/' + id,
    method: 'delete'
  })
}
